#!/bin/bash

# This script is currently a dummy to take down some notes on building.
# It is not meant to be a general purpose build script.

set -e

cd `dirname $0`

mkdir -p build-linux
cd build-linux
cmake .. -DCMAKE_VERBOSE_MAKEFILE=True -DCMAKE_PREFIX_PATH=~/ubuntu
nice make -j8
cd ..
mkdir -p build-windows
cd build-windows
cmake .. -DCMAKE_PREFIX_PATH=~/wheezy/src/mxe/usr/i686-w64-mingw32/qt5 \
    -DCMAKE_TOOLCHAIN_FILE='~/wheezy/src/mxe/usr/i686-w64-mingw32/share/cmake/mxe-conf.cmake' \
    -DCMAKE_VERBOSE_MAKEFILE=True
nice make -j8
cd ..

# Note: qt5 plugins have .lib suffix
# find ~/wheezy/src/mxe/usr/i686-w64-mingw32/qt5/lib/cmake -name \*.cmake | xargs sed -i 's/\.lib/\.a//g'
# Also they need to have a lib prefixed...
# Then there is a bogous call _qt5gui_find_extra_libs(OPENGL "glu32;opengl32;gdi32;user32" "" "")
# where the second "" has to be replaced by your windows prefix. e.g. /home/andre/wheezy/src/mxe/usr/i686-w64-mingw32/lib
